package main

import (
	"github.com/gotk3/gotk3/gtk"
	"os"
	"strconv"
)

var tootAmt int64 = 500

func main() {
	gtk.Init(&os.Args)
	b, _ := gtk.BuilderNewFromFile("MastoClient.glade")

	obj, _ := b.GetObject("WindowVert")
	win := obj.(*gtk.Window)

	obj, _ = b.GetObject("ToggleCW")
	btn := obj.(*gtk.Button)

	obj, _ = b.GetObject("CWRevealer")
	r := obj.(*gtk.Revealer)

	obj, _ = b.GetObject("TootComposeBuffer")
	buf := obj.(*gtk.TextBuffer)

	obj, _ = b.GetObject("TootCharacterCount")
	charCnt := obj.(*gtk.Label)
	charCnt.SetText(strconv.FormatInt(tootAmt, 10))

	buf.Connect("changed", func(tbuf *gtk.TextBuffer) {
		amt := tbuf.GetCharCount()
		charCnt.SetText(strconv.FormatInt(tootAmt - int64(amt), 10))
	})

	win.Connect("destroy", func() {
		gtk.MainQuit()
	})
	
	btn.Connect("clicked", func() {
		r.SetRevealChild(!r.GetChildRevealed())
	})

	win.ShowAll()

	gtk.Main()
}
